com.tibbo.aggregate.common.server

## Interface ScriptContextConstants

-     public interface ScriptContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_EDIT_SOURCE`
    `static java.lang.String` | `A_EXECUTE`
    `static java.lang.String` | `F_COMPILE`
    `static java.lang.String` | `F_EXECUTE`
    `static java.lang.String` | `F_GET_HINT`
    `static java.lang.String` | `FIF_COMPILE_SOURCE_TEXT`
    `static java.lang.String` | `FIF_GET_HINT_CLASS`
    `static java.lang.String` | `FOF_COMPILE_IMPORTS`
    `static java.lang.String` | `FOF_COMPILE_METHODS`
    `static java.lang.String` | `FOF_COMPILE_PROBLEMS`
    `static java.lang.String` | `FOF_COMPILE_VAR`
    `static java.lang.String` | `FOF_GET_HINT_EXPRESSION`
    `static java.lang.String` | `FOF_GET_HINT_METHODS`
    `static java.lang.String` | `FOF_GET_HINT_NAME`
    `static java.lang.String` | `FOF_GET_HINT_PASS`
    `static java.lang.String` | `FOF_GET_HINT_TYPE`
    `static java.lang.String` | `VF_FIELDS_CLASS`
    `static java.lang.String` | `VF_FIELDS_NAME`
    `static java.lang.String` | `VF_IMPORTS_NAME`
    `static java.lang.String` | `VF_IMPORTS_SEP`
    `static java.lang.String` | `VF_PROBLEMS_PROBLEM_END_POSITION`
    `static java.lang.String` | `VF_PROBLEMS_PROBLEM_START_POSITION`
    `static java.lang.String` | `VF_PROBLEMS_PROBLEM_TEXT`

- - ### Field Detail

    - #### F_EXECUTE

          static final java.lang.String F_EXECUTE

      See Also:
        Constant Field Values

    - #### F_COMPILE

          static final java.lang.String F_COMPILE

      See Also:
        Constant Field Values

    - #### F_GET_HINT

          static final java.lang.String F_GET_HINT

      See Also:
        Constant Field Values

    - #### A_EDIT_SOURCE

          static final java.lang.String A_EDIT_SOURCE

      See Also:
        Constant Field Values

    - #### A_EXECUTE

          static final java.lang.String A_EXECUTE

      See Also:
        Constant Field Values

    - #### FIF_COMPILE_SOURCE_TEXT

          static final java.lang.String FIF_COMPILE_SOURCE_TEXT

      See Also:
        Constant Field Values

    - #### VF_PROBLEMS_PROBLEM_TEXT

          static final java.lang.String VF_PROBLEMS_PROBLEM_TEXT

      See Also:
        Constant Field Values

    - #### VF_PROBLEMS_PROBLEM_START_POSITION

          static final java.lang.String VF_PROBLEMS_PROBLEM_START_POSITION

      See Also:
        Constant Field Values

    - #### VF_PROBLEMS_PROBLEM_END_POSITION

          static final java.lang.String VF_PROBLEMS_PROBLEM_END_POSITION

      See Also:
        Constant Field Values

    - #### FOF_COMPILE_METHODS

          static final java.lang.String FOF_COMPILE_METHODS

      See Also:
        Constant Field Values

    - #### FOF_COMPILE_VAR

          static final java.lang.String FOF_COMPILE_VAR

      See Also:
        Constant Field Values

    - #### FOF_COMPILE_IMPORTS

          static final java.lang.String FOF_COMPILE_IMPORTS

      See Also:
        Constant Field Values

    - #### VF_IMPORTS_NAME

          static final java.lang.String VF_IMPORTS_NAME

      See Also:
        Constant Field Values

    - #### VF_IMPORTS_SEP

          static final java.lang.String VF_IMPORTS_SEP

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_NAME

          static final java.lang.String FOF_GET_HINT_NAME

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_TYPE

          static final java.lang.String FOF_GET_HINT_TYPE

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_PASS

          static final java.lang.String FOF_GET_HINT_PASS

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_EXPRESSION

          static final java.lang.String FOF_GET_HINT_EXPRESSION

      See Also:
        Constant Field Values

    - #### FOF_GET_HINT_METHODS

          static final java.lang.String FOF_GET_HINT_METHODS

      See Also:
        Constant Field Values

    - #### FIF_GET_HINT_CLASS

          static final java.lang.String FIF_GET_HINT_CLASS

      See Also:
        Constant Field Values

    - #### FOF_COMPILE_PROBLEMS

          static final java.lang.String FOF_COMPILE_PROBLEMS

      See Also:
        Constant Field Values

    - #### VF_FIELDS_NAME

          static final java.lang.String VF_FIELDS_NAME

      See Also:
        Constant Field Values

    - #### VF_FIELDS_CLASS

          static final java.lang.String VF_FIELDS_CLASS

      See Also:
        Constant Field Values